Bug 1788083 - PKCS11 Engine /usr/lib64/opensc-pkcs11.so Error: No such file or directory [NEEDINFO]
Summary: PKCS11 Engine /usr/lib64/opensc-pkcs11.so Error: No such file or directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rng-tools
Version: 31
Hardware: armv7hl
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-06 10:52 UTC by Juan Orti
Modified: 2021-03-31 17:56 UTC (History)
9 users (show)

Fixed In Version: rng-tools-6.9-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-17 05:07:20 UTC
Type: Bug
js.developer.undefined: needinfo? (nhorman)
js.developer.undefined: needinfo? (gianvito)


Attachments (Terms of Use)
config.log (39.01 KB, text/plain)
2020-01-10 14:26 UTC, Juan Orti
no flags Details
build.log (41.82 KB, text/plain)
2020-01-10 14:26 UTC, Juan Orti
no flags Details

Description Juan Orti 2020-01-06 10:52:45 UTC
Description of problem:
rngd throws the error:

PKCS11 Engine /usr/lib64/opensc-pkcs11.so Error: No such file or directory

This is a Raspeberry Pi and the file is located on /usr/lib/opensc-pkcs11.so


Version-Release number of selected component (if applicable):
rng-tools-6.7-3.fc31.armv7hl
opensc-0.19.0-8.fc31.armv7hl

How reproducible:
Always

Steps to Reproduce:
1. Run rngd.service on a Raspberry Pi

Actual results:
Error in journal

Expected results:
No error

Additional info:

# journalctl -b -u rngd
oct 10 14:56:16 pi systemd[1]: Started Hardware RNG Entropy Gatherer Daemon.
oct 10 14:56:16 pi rngd[656]: Initalizing available sources
oct 10 14:56:16 pi rngd[656]: Initalizing entropy source hwrng
oct 10 14:56:44 pi rngd[656]: Initalizing AES buffer
oct 10 14:56:44 pi rngd[656]: Enabling JITTER rng support
oct 10 14:56:44 pi rngd[656]: Initalizing entropy source jitter
oct 10 14:56:44 pi rngd[656]: PKCS11 Engine /usr/lib64/opensc-pkcs11.so Error: No such file or directory
oct 10 14:56:44 pi rngd[656]: Failed to init entropy source pkcs11

Comment 1 Neil Horman 2020-01-06 11:36:05 UTC
ah, sorry, the default engine path assumes a 64 bit platform and I didn't consider arm still supports 32 bit systems.  I can fix that shortly.  You can work around it in the interim by modifying the systemd unit file such that the ExecStart line contains the following option:

-o pkcs11:engine_path:/usr/lib/opensc-pkcs11.so

also, since I don't have a raspberry pi handy, can you please post the output of uname -a here so I know what to key off of to modify the default engine path?  Thanks!

Comment 2 Juan Orti 2020-01-06 11:42:11 UTC
Thanks, this is the uname output of my RaspberryPi 2:

# uname -a
Linux pi 5.4.7-200.fc31.armv7hl #1 SMP Tue Dec 31 23:06:32 UTC 2019 armv7l armv7l armv7l GNU/Linux

Comment 3 Neil Horman 2020-01-06 15:21:30 UTC
Thank you!

I've enabled autoconf to set the default engine path based on 32/64 bit guessing during configuration.  The upstream branch is here:
https://github.com/nhorman/rng-tools/tree/default-pkcs11

Would you mind cloning that branch and building rng-tools from it?  Based on your uname output, this should set the default engine path to /usr/lib/opensc-pkcs11.so, which should allow you to work by default.  If rngd runs properly with that change, I'll commit it and backport it to Fedora asap.

Comment 4 Neil Horman 2020-01-09 11:39:09 UTC
ping?

Comment 5 Juan Orti 2020-01-09 20:48:22 UTC
I applied this patch to the rawhide RPM:
https://github.com/nhorman/rng-tools/commit/1993eca9a2d75d1724ba96fbdabd78b29cca9472.patch

But I'm still getting the same error:

ene 09 21:40:56 pi rngd[21168]: Initializing available sources
ene 09 21:40:56 pi rngd[21168]: [hwrng ]: Initialized
ene 09 21:40:56 pi rngd[21168]: [jitter]: Initializing AES buffer
ene 09 21:40:56 pi rngd[21168]: [jitter]: Unable to obtain AES key, disabling AES in JITTER source
ene 09 21:40:56 pi rngd[21168]: [jitter]: Enabling JITTER rng support
ene 09 21:40:56 pi rngd[21168]: [jitter]: Initialized
ene 09 21:40:56 pi rngd[21168]: [pkcs11]: PKCS11 Engine /usr/lib64/opensc-pkcs11.so Error: No such file or directory
ene 09 21:40:56 pi rngd[21168]: [pkcs11]: Initialization Failed

Comment 6 Neil Horman 2020-01-10 14:18:21 UTC
can you attach the config.log file from your build effort above please?  I'm in the process of setting up a 32 bit arm VM so I can try reproduce this, but your log might give me a clue before thats complete

Comment 7 Juan Orti 2020-01-10 14:26:13 UTC
Created attachment 1651308 [details]
config.log

Comment 8 Juan Orti 2020-01-10 14:26:39 UTC
Created attachment 1651309 [details]
build.log

Comment 9 Neil Horman 2020-01-10 15:16:57 UTC
ah, thank you, I think i see the problem.  I've pushed another commit to the upstream branch.  Please try rebuilding with that, and the right library should be selected

Comment 10 Juan Orti 2020-01-12 12:01:32 UTC
Latest commit fdd29dc3d01ae2c27e390508518a5ec085b56510 has removed the error:


ene 12 12:58:40 pi rngd[22139]: Initializing available sources
ene 12 12:58:40 pi rngd[22139]: [hwrng ]: Initialized
ene 12 12:58:40 pi rngd[22139]: [jitter]: Initializing AES buffer
ene 12 12:58:40 pi rngd[22139]: [jitter]: Unable to obtain AES key, disabling AES in JITTER source
ene 12 12:58:40 pi rngd[22139]: [jitter]: Enabling JITTER rng support
ene 12 12:58:40 pi rngd[22139]: [jitter]: Initialized
ene 12 12:58:40 pi rngd[22139]: [pkcs11]: No pkcs11 slots available
ene 12 12:58:40 pi rngd[22139]: [pkcs11]: Initialization Failed

Comment 11 Neil Horman 2020-01-13 11:33:56 UTC
awesome, I'll merge the upstream branch and backport shortly

Comment 12 Fedora Update System 2020-01-14 01:43:54 UTC
rng-tools-6.9-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f570881618

Comment 13 Fedora Update System 2020-01-17 05:07:20 UTC
rng-tools-6.9-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Janvitus 2020-04-30 09:26:15 UTC
I've upgraded to Fedora 32 yesterday, same issue.



apr 30 13:11:52 fedorabox rngd[299]: Initializing available sources
apr 30 13:11:52 fedorabox rngd[299]: [hwrng ]: Initialization Failed
apr 30 13:11:52 fedorabox rngd[299]: [rdrand]: Initialization Failed
apr 30 13:11:52 fedorabox rngd[299]: [jitter]: Initializing AES buffer
apr 30 13:11:52 fedorabox rngd[299]: [jitter]: Unable to obtain AES key, disabling AES in JITTER source
apr 30 13:11:52 fedorabox rngd[299]: [jitter]: Enabling JITTER rng support
apr 30 13:11:52 fedorabox rngd[299]: [jitter]: Initialized
apr 30 13:11:52 fedorabox rngd[299]: [pkcs11]: PKCS11 Engine /usr/lib64/opensc-pkcs11.so Error: No such file or directory
apr 30 13:11:52 fedorabox rngd[299]: [pkcs11]: Initialization Failed
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:52 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:53 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:54 fedorabox rngd[299]: Entropy Generation is slow, consider tuning/adding sources
apr 30 13:11:57 fedorabox rngd[299]: [jitter]: Shutting down
apr 30 13:11:57 fedorabox systemd[1]: Stopping Hardware RNG Entropy Gatherer Daemon...
apr 30 13:11:57 fedorabox rngd[299]: [jitter]: Closing thread 0
apr 30 13:11:57 fedorabox rngd[299]: [jitter]: Closing thread 1
apr 30 13:11:57 fedorabox rngd[299]: [jitter]: Closing thread 2
apr 30 13:11:57 fedorabox rngd[299]: [jitter]: Closing thread 3
apr 30 13:11:57 fedorabox systemd[1]: rngd.service: Succeeded.
apr 30 13:11:57 fedorabox systemd[1]: Stopped Hardware RNG Entropy Gatherer Daemon.
apr 30 13:11:57 fedorabox systemd[1]: rngd.service: Consumed 15.322s CPU time.

Comment 15 Juan Orti 2020-04-30 10:37:27 UTC
Works for me with rng-tools-6.9-3.fc32.armv7hl

Comment 16 Joe Spencer 2020-08-27 16:16:11 UTC
I'm seeing what Janvitus is seeing in my startup logs.  I'm using a pi 3.

[pi@localhost ~]$ uname -a
Linux localhost.localdomain 5.7.17-200.fc32.armv7hl #1 SMP Fri Aug 21 16:09:16 UTC 2020 armv7l armv7l armv7l GNU/Linux



[pi@localhost ~]$ sudo journalctl -b | grep rngd
[sudo] password for pi: 
Jul 26 17:00:00 localhost.localdomain rngd[202]: Initializing available sources
Jul 26 17:00:00 localhost.localdomain rngd[202]: [hwrng ]: Initialization Failed
Jul 26 17:00:00 localhost.localdomain rngd[202]: [jitter]: Initializing AES buffer
Jul 26 17:00:00 localhost.localdomain rngd[202]: [jitter]: Unable to obtain AES key, disabling AES in JITTER source
Jul 26 17:00:00 localhost.localdomain rngd[202]: [jitter]: Enabling JITTER rng support
Jul 26 17:00:00 localhost.localdomain rngd[202]: [jitter]: Initialized
Jul 26 17:00:01 localhost.localdomain rngd[202]: [pkcs11]: Unable to load pkcs11 engine: (null)
Jul 26 17:00:01 localhost.localdomain rngd[202]: [pkcs11]: Initialization Failed
Jul 26 17:00:01 localhost.localdomain rngd[202]: Entropy Generation is slow, consider tuning/adding sources
... truncated maybe a hundred of the "Entropy Generation is slow..." lines
Jul 26 17:00:11 localhost.localdomain rngd[202]: Entropy Generation is slow, consider tuning/adding sources
Jul 26 17:00:11 localhost.localdomain rngd[202]: [jitter]: Shutting down
Jul 26 17:00:11 localhost.localdomain rngd[202]: [jitter]: Closing thread 0
Jul 26 17:00:11 localhost.localdomain rngd[202]: [jitter]: Closing thread 1
Jul 26 17:00:11 localhost.localdomain rngd[202]: [jitter]: Closing thread 2
Jul 26 17:00:11 localhost.localdomain rngd[202]: [jitter]: Closing thread 3
Jul 26 17:00:11 localhost.localdomain systemd[1]: rngd.service: Succeeded.
Jul 26 17:00:11 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=kernel msg='unit=rngd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 26 17:00:11 localhost.localdomain systemd[1]: rngd.service: Consumed 26.650s CPU time.
Jul 26 17:00:20 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=rngd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 26 17:00:23 localhost.localdomain rngd[547]: Initializing available sources
Jul 26 17:00:23 localhost.localdomain rngd[547]: [hwrng ]: Initialized
Jul 26 17:00:23 localhost.localdomain rngd[547]: [jitter]: Initializing AES buffer
Jul 26 17:00:23 localhost.localdomain rngd[547]: [jitter]: Unable to obtain AES key, disabling AES in JITTER source
Jul 26 17:00:23 localhost.localdomain rngd[547]: [jitter]: Enabling JITTER rng support
Jul 26 17:00:23 localhost.localdomain rngd[547]: [jitter]: Initialized
Jul 26 17:00:26 localhost.localdomain rngd[547]: [pkcs11]: No pkcs11 slots available
Jul 26 17:00:26 localhost.localdomain rngd[547]: [pkcs11]: Initialization Failed

Comment 17 Rick 2020-11-02 20:04:15 UTC
I see the same error on F32 x86_64.

# uname -a
Linux myhost.localnet 5.8.16-200.fc32.x86_64 #1 SMP Mon Oct 19 14:17:16 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

# systemctl status rngd
● rngd.service - Hardware RNG Entropy Gatherer Daemon
     Loaded: loaded (/usr/lib/systemd/system/rngd.service; enabled; vendor preset: enabled)
     Active: active (running) since Mon 2020-11-02 20:45:57 CET; 15min ago
   Main PID: 3686959 (rngd)
      Tasks: 5 (limit: 18947)
     Memory: 1.7M
        CPU: 14.483s
     CGroup: /system.slice/rngd.service
             └─3686959 /sbin/rngd -f

Nov 02 20:45:57 myhost.localnet systemd[1]: Started Hardware RNG Entropy Gatherer Daemon.
Nov 02 20:45:57 myhost.localnet rngd[3686959]: Initializing available sources
Nov 02 20:45:57 myhost.localnet rngd[3686959]: [hwrng ]: Initialized
Nov 02 20:45:57 myhost.localnet rngd[3686959]: [rdrand]: Enabling RDSEED rng support
Nov 02 20:45:57 myhost.localnet rngd[3686959]: [rdrand]: Initialized
Nov 02 20:45:57 myhost.localnet rngd[3686959]: [jitter]: Initializing AES buffer
Nov 02 20:45:58 myhost.localnet rngd[3686959]: [jitter]: Enabling JITTER rng support
Nov 02 20:45:58 myhost.localnet rngd[3686959]: [jitter]: Initialized
Nov 02 20:45:58 myhost.localnet rngd[3686959]: [pkcs11]: No pkcs11 slots available
Nov 02 20:45:58 myhost.localnet rngd[3686959]: [pkcs11]: Initialization Failed


Note You need to log in before you can comment on or make changes to this bug.